<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://net.mymicros/service">
	<soapenv:Header xmlns:wsa="http://www.w3.org/2005/08/addressing">
        <wsse:Security soapenv:mustUnderstand="1"
            xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
            xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd">
            <wsse:UsernameToken wsu:Id="UsernameToken-D5B4C1394E66FEE9D015619983318702">
                <wsse:Username>{{ api_user_token }}</wsse:Username>
                <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">{{ api_user_password }}</wsse:Password>
            </wsse:UsernameToken>
        </wsse:Security>
        <wsa:Action>{{ api_fq_resource_action }} </wsa:Action>
        <wsa:ReplyTo>
            <wsa:Address>http://www.w3.org/2005/08/addressing/anonymous</wsa:Address>
        </wsa:ReplyTo>
        <wsa:MessageID>urn:uuid:30cb63df-2a07-428d-b501-097db5906b6e</wsa:MessageID>
        <wsa:To>https://sample.simphony.com:443/labor/labor</wsa:To>
    </soapenv:Header>
	<soapenv:Body>
		<ser:modifyEntHREmployeeNominalInfo>
			<employee>
				<externalPayRollID>{{ external_payroll_id }}</externalPayRollID>
				<homeStoreRef>{{ location_ref }}</homeStoreRef>
				{%- if first_name is not none %}
				<firstName>{{ first_name }}</firstName>s
				{%- endif %}
				<middleName></middleName>
				{%- if last_name is not none %}
				<lastName>{{ last_name }}</lastName>
				{%- endif %}
				{%- if check_name is not none %}
				<checkName>{{ check_name }}</checkName>
				{%- endif %}
				{%- if email is not none %}
				<email>{{ email }}</email>
				{%- endif %}
				{%- if phone is not none %}
				<phoneNumber>{{ phone }}</phoneNumber>
				{%- endif %}
				{%- if birthday is not none %}
				<dateOfBirth>{{ birthday }}</dateOfBirth>
				{%- endif %}
				{%- if start_date is not none %}
				<hireDate>{{ start_date }}</hireDate>
				{%- endif %}
				<hireStatus>0</hireStatus>
			</employee>
		</ser:modifyEntHREmployeeNominalInfo>
	</soapenv:Body>
</soapenv:Envelope>